pcl::detail::FieldAdder< PointT > Struct Template Reference

`#include <pcl/conversions.h>`

## Public Member Functions

| FieldAdder (std::vector< pcl::PCLPointField > &fields)
template<typename U >
void | operator() ()

## Public Attributes

std::vector< pcl::PCLPointField > & | fields_

## Detailed Description

### template<typename PointT>
struct pcl::detail::FieldAdder< PointT >

Definition at line 64 of file conversions.h.

## Constructor & Destructor Documentation

## FieldAdder()

template<typename PointT >

pcl::detail::FieldAdder< PointT >::FieldAdder | ( | std::vector< pcl::PCLPointField > & | fields | ) |

inline

Definition at line 66 of file conversions.h.

## Member Function Documentation

## operator()()

template<typename PointT >
template<typename U >

void pcl::detail::FieldAdder< PointT >::operator() | ( |  | ) |

inline

Definition at line 68 of file conversions.h.

References pcl::PCLPointField::count, pcl::PCLPointField::datatype, pcl::detail::FieldAdder< PointT >::fields_, pcl::PCLPointField::name, and pcl::PCLPointField::offset.

## Member Data Documentation

## fields_

template<typename PointT >

std::vector<pcl::PCLPointField>& pcl::detail::FieldAdder< PointT >::fields_

Definition at line 78 of file conversions.h.

Referenced by pcl::detail::FieldAdder< PointT >::operator()().

The documentation for this struct was generated from the following file:

- pcl/conversions.h